#include "chdecl.h"
void CH_loadprog(current, sched, cop)
#define ARGUMENTS 5
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb3;
    case 2: goto c4;
    case 3: goto c6;
    case 4: goto c7;
    case 5: goto cb12;
    case 6: goto c13;
    case 7: goto c17;
    case 8: goto c19;
    case 9: goto c30;
    case 10: goto c37;
    case 11: goto cb52;
    case 12: goto c53;
    case 13: goto c70;
    case 14: goto c85;
    case 15: goto c90;
    case 16: goto c92;
    case 17: goto c97;
    case 18: goto c106;
    case 19: goto c109;
    case 20: goto c116;
    case 21: goto c135;
    case 22: goto c141;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb3:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c4:
/* endblock */
  che_endblock(sched);
/* branch , 7 */
   goto c7;
c6:
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c7:
/* chs_lit 4 , ".ao" */
  if( !chs_lit(DEF(4),".ao") ) goto ch_depletion;
/* concat 5 3.0 4 */
  if ((ch_returncode = che_concat(DEF(5),DEF(3)DOT(0),DEF(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* move 6 5 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6) = REF(5);
  REF(5).tsdr = & dr_bottom;
/* block , 4 */
  if((ch_returncode = che_block(QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 5;
cb12:
/* call 3.1 6 7 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1),
          arguments[1] = DEF(6),
          arguments[2] = DEF(7),
          arguments[2+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c13:
/* move 8 7 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8) = REF(7);
  REF(7).tsdr = & dr_bottom;
/* unwrap 9 8 , 6 */
  if ((ch_returncode = che_unwrap(DEF(9),DEF(8),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 19 */
   goto c19;
c17:
/* return_exception 3 , 7 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(7),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(7));
  REF(3).tsdr = & dr_bottom;
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c19:
/* new_program 3.2 */
  if ((ch_val.program = (pd_program *) new_record(PROGRAM_SIZE)) == nil)
     goto ch_depletion;
  ch_val.program->info.program_refcount = 1;
  /*NEST*/
  REF(3)DOT(2).value = ch_val; REF(3)DOT(2).tsdr = & dr_program;
/* move 3.2.1 9.0 */
  (*(REF(3)DOT(2)DOT(1).tsdr)->finalize)(REF(3)DOT(2)DOT(1).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(1) = REF(9)DOT(0);
  REF(9)DOT(0).tsdr = & dr_bottom;
/* move 3.2.2 9.1 */
  (*(REF(3)DOT(2)DOT(2).tsdr)->finalize)(REF(3)DOT(2)DOT(2).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(2) = REF(9)DOT(1);
  REF(9)DOT(1).tsdr = & dr_bottom;
/* move 3.5 9.2 */
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5) = REF(9)DOT(2);
  REF(9)DOT(2).tsdr = & dr_bottom;
/* move 3.3 9.4 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3) = REF(9)DOT(4);
  REF(9)DOT(4).tsdr = & dr_bottom;
/* move 3.6 9.5 */
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(3)DOT(6) = REF(9)DOT(5);
  REF(9)DOT(5).tsdr = & dr_bottom;
/* new_table 3.2.0 , 8 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(2)DOT(0),QUAL(8)
    ,sched)) != Normal)  goto ch_raise_exception;
/* new_table 3.4 , 8 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(4),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 10 , 9 */
  if ((ch_returncode = che_new_table(DEF(10),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 11 9.3 */
  if((ch_returncode = cp_table(& ch_val, REF(9)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).value = ch_val;
  REF(11).tsdr = & dr_table;
/* initget 12 11 , 0,0 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(12),DEF(11),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c30:
/* get_or_goto 12 11 , 34 */
  if ((ch_returncode = get_selected_object(DEF(12),DEF(11),sched)) != Normal)
     goto c34;
/* copy 13 12 */
  if((ch_returncode = (REF(12).tsdr->copy)(& ch_val, REF(12).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).value = ch_val;
  REF(13).tsdr = datarepmap[REF(12).tsdr->number];
/* insert 10 13 */
  if ((ch_returncode = insertfunc(DEF(10),DEF(13),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 30 */
   goto c30;
c34:
/* endget 12 11 */
  end_selector(DEF(12),DEF(11),sched,GET);
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* new_table 14 , 9 */
  if ((ch_returncode = che_new_table(DEF(14),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
c37:
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* size 16 10 */
  REF(16).value.integer = REF(10).value.table->size;
  REF(16).tsdr = & dr_integer;
/* equal . 16 =(0) , 106 */
  if ( REF(16).value.integer == 0 ) goto c106;
/* block , 10 */
  if((ch_returncode = che_block(QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 10 */
  if (REF(10).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(10))) != Normal)
       goto ch_raise_exception;
/* initget 17 10 , 0,0 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(17),DEF(10),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 17 10 */
  if ((ch_returncode = get_selected_object(DEF(17),DEF(10),sched)) != Normal)
     goto ch_raise_exception;
/* remove 18 17 10 */
  if ((ch_returncode = che_remove(DEF(18),DEF(17),DEF(10),sched)) != Normal)
     goto ch_raise_exception;
/* endget 17 10 */
  end_selector(DEF(17),DEF(10),sched,GET);
/* chs_lit 19 , ".do" */
  if( !chs_lit(DEF(19),".do") ) goto ch_depletion;
/* concat 20 18.0 19 */
  if ((ch_returncode = che_concat(DEF(20),DEF(18)DOT(0),DEF(19)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* move 6 20 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6) = REF(20);
  REF(20).tsdr = & dr_bottom;
  current->ip = 11;
cb52:
/* call 3.1 6 21 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1),
          arguments[1] = DEF(6),
          arguments[2] = DEF(21),
          arguments[2+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c53:
/* move 8 21 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8) = REF(21);
  REF(21).tsdr = & dr_bottom;
/* unwrap 15 8 , 11 */
  if ((ch_returncode = che_unwrap(DEF(15),DEF(8),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* equal . 15.0.0 18.1 , 65 */
  if ( (REF(15)DOT(0)DOT(0).tsdr->equal)(REF(15)DOT(0)DOT(0).value,
    REF(18)DOT(1).value) ) goto c65;
/* copy 3.7 18.0 */
  if((ch_returncode = cp_table(& ch_val, REF(18)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(7).tsdr)->finalize)(REF(3)DOT(7).value,F_DISCARD,sched);
  REF(3)DOT(7).value = ch_val;
  REF(3)DOT(7).tsdr = & dr_table;
/* discard 3.4 */
  (*(REF(3)DOT(4).tsdr)->finalize)(REF(3)DOT(4).value,F_DISCARD,sched);
  REF(3)DOT(4).tsdr = & dr_bottom;
/* discard 3.5 */
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5).tsdr = & dr_bottom;
/* discard 3.2 */
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(2).tsdr = & dr_bottom;
/* discard 3.3 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3).tsdr = & dr_bottom;
/* discard 3.6 */
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(3)DOT(6).tsdr = & dr_bottom;
/* return_exception 3 , 12 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(12),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(12));
  REF(3).tsdr = & dr_bottom;
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c65:
/* insert 3.2.0 15.0 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(0),DEF(15)DOT(0)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.4 15.1 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(4),DEF(15)DOT(1)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 14 18 */
  if ((ch_returncode = insertfunc(DEF(14),DEF(18),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 22 15.3 */
  if((ch_returncode = cp_table(& ch_val, REF(15)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val;
  REF(22).tsdr = & dr_table;
/* initget 23 22 , 0,0 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(23),DEF(22),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c70:
/* get_or_goto 23 22 , 92 */
  if ((ch_returncode = get_selected_object(DEF(23),DEF(22),sched)) != Normal)
     goto c92;
/* block , 13 */
  if((ch_returncode = che_block(QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
/* find 24 14 23.0 , 0 */
  if (findfunc(DEF(24),DEF(14),(
          arguments[0] = DEF(23)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* equal . 24.1 23.1 , 83 */
  if ( (REF(24)DOT(1).tsdr->equal)(REF(24)DOT(1).value,REF(23)DOT(1).value) )
     goto c83;
/* copy 3.7 23.0 */
  if((ch_returncode = cp_table(& ch_val, REF(23)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(7).tsdr)->finalize)(REF(3)DOT(7).value,F_DISCARD,sched);
  REF(3)DOT(7).value = ch_val;
  REF(3)DOT(7).tsdr = & dr_table;
/* discard 3.4 */
  (*(REF(3)DOT(4).tsdr)->finalize)(REF(3)DOT(4).value,F_DISCARD,sched);
  REF(3)DOT(4).tsdr = & dr_bottom;
/* discard 3.5 */
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5).tsdr = & dr_bottom;
/* discard 3.2 */
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(2).tsdr = & dr_bottom;
/* discard 3.3 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3).tsdr = & dr_bottom;
/* discard 3.6 */
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(3)DOT(6).tsdr = & dr_bottom;
/* return_exception 3 , 12 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(12),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(12));
  REF(3).tsdr = & dr_bottom;
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c83:
/* endblock */
  che_endblock(sched);
/* branch , 70 */
   goto c70;
c85:
/* block , 14 */
  if((ch_returncode = che_block(QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
/* copy 25 23 */
  if((ch_returncode = (REF(23).tsdr->copy)(& ch_val, REF(23).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).value = ch_val;
  REF(25).tsdr = datarepmap[REF(23).tsdr->number];
/* insert 10 25 */
  if ((ch_returncode = insertfunc(DEF(10),DEF(25),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c90:
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* branch , 70 */
   goto c70;
c92:
/* endget 23 22 */
  end_selector(DEF(23),DEF(22),sched,GET);
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* discard 15.3 */
  (*(REF(15)DOT(3).tsdr)->finalize)(REF(15)DOT(3).value,F_DISCARD,sched);
  REF(15)DOT(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 37 */
   goto c37;
c97:
/* copy 3.7 18.0 */
  if((ch_returncode = cp_table(& ch_val, REF(18)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(7).tsdr)->finalize)(REF(3)DOT(7).value,F_DISCARD,sched);
  REF(3)DOT(7).value = ch_val;
  REF(3)DOT(7).tsdr = & dr_table;
/* discard 3.4 */
  (*(REF(3)DOT(4).tsdr)->finalize)(REF(3)DOT(4).value,F_DISCARD,sched);
  REF(3)DOT(4).tsdr = & dr_bottom;
/* discard 3.5 */
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5).tsdr = & dr_bottom;
/* discard 3.2 */
  (*(REF(3)DOT(2).tsdr)->finalize)(REF(3)DOT(2).value,F_DISCARD,sched);
  REF(3)DOT(2).tsdr = & dr_bottom;
/* discard 3.3 */
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3).tsdr = & dr_bottom;
/* discard 3.6 */
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(3)DOT(6).tsdr = & dr_bottom;
/* return_exception 3 , 15 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(15),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(15));
  REF(3).tsdr = & dr_bottom;
/* exit , 3 */
  ch_e = handler_type__exit; ch_val = QUAL(3); goto ch_exception;
c106:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 135 */
   goto c135;
c109:
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* branch , 135 */
   goto c135;
c116:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* chs_lit 26 , "Something went wrong in loadprog" */
  if( !chs_lit(DEF(26),"Something went wrong in loadprog") )
     goto ch_depletion;
/* print 26 */
  re_print(stderr, 0, DEF(26)); fflush(stderr);
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
c135:
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c141:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
